Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Canon.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Canon.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Canon.pm	(revision 34921)
@@ -39,4 +39,5 @@
 #              23) Magne Nilsen private communication (400D)
 #              24) Wolfgang Hoffmann private communication (40D)
+#              25) Laurent Clevy private communication
 #              26) Steve Balcombe private communication
 #              27) Chris Huebsch private communication (40D)
@@ -63,5 +64,13 @@
 #              48) Tomasz A. Kawecki private communication (550D, firmware 1.0.6, 1.0.8)
 #              49) http://www.listware.net/201101/digikam-users/49795-digikam-users-re-lens-recognition.html
+#              50) https://exiftool.org/forum/index.php/topic,3833.0.html
+#              51) https://exiftool.org/forum/index.php/topic,4110.0.html
+#              52) Kai Harrekilde-Petersen private communication
+#              53) Anton Reiser private communication
+#              54) https://github.com/lclevy/canon_cr3
+#              IB) Iliah Borg private communication (LibRaw)
 #              JD) Jens Duttke private communication
+#              JR) Jos Roost private communication
+#              NJ) Niels Kristian Bech Jensen private communication
 #------------------------------------------------------------------------------
 
@@ -69,5 +78,5 @@
 
 use strict;
-use vars qw($VERSION %canonModelID);
+use vars qw($VERSION %canonModelID %canonLensTypes);
 use Image::ExifTool qw(:DataAccess :Utils);
 use Image::ExifTool::Exif;
@@ -76,18 +85,24 @@
 sub ProcessSerialData($$$);
 sub ProcessFilters($$$);
+sub ProcessCTMD($$$);
+sub ProcessExifInfo($$$);
 sub SwapWords($);
 
-$VERSION = '2.71';
+$VERSION = '4.44';
 
 # Note: Removed 'USM' from 'L' lenses since it is redundant - PH
 # (or is it?  Ref 32 shows 5 non-USM L-type lenses)
-my %canonLensTypes = ( #4
+# --> have relaxed this for new lenses because Canon has been
+#     consistent about keeping "USM" in the model name
+%canonLensTypes = ( #4
      Notes => q{
-        Decimal values differentiate lenses which would otherwise have the same
-        LensType, and are used by the Composite LensID tag when attempting to
-        identify the specific lens model.
+        Decimal values have been added to differentiate lenses which would otherwise
+        have the same LensType, and are used by the Composite LensID tag when
+        attempting to identify the specific lens model.
      },
+    -1 => 'n/a',
      1 => 'Canon EF 50mm f/1.8',
-     2 => 'Canon EF 28mm f/2.8',
+     2 => 'Canon EF 28mm f/2.8 or Sigma Lens',
+     2.1 => 'Sigma 24mm f/2.8 Super Wide II', #ClaudeJolicoeur
      # (3 removed in current Kamisaka list)
      3 => 'Canon EF 135mm f/2.8 Soft', #15/32
@@ -98,10 +113,11 @@
      6.1 => 'Sigma 18-50mm f/3.5-5.6 DC', #23
      6.2 => 'Sigma 18-125mm f/3.5-5.6 DC IF ASP',
-     6.3 => 'Tokina AF193-2 19-35mm f/3.5-4.5',
+     6.3 => 'Tokina AF 193-2 19-35mm f/3.5-4.5',
      6.4 => 'Sigma 28-80mm f/3.5-5.6 II Macro', #47
+     6.5 => 'Sigma 28-300mm f/3.5-6.3 DG Macro', #IB
      7 => 'Canon EF 100-300mm f/5.6L', #15
      8 => 'Canon EF 100-300mm f/5.6 or Sigma or Tokina Lens', #32
-     8.1 => 'Sigma 70-300mm f/4-5.6 [APO] DG Macro', #15 (both APO and non-APO, ref http://u88.n24.queensu.ca/exiftool/forum/index.php/topic,2947.0.html)
-     8.2 => 'Tokina AT-X242AF 24-200mm f/3.5-5.6', #15
+     8.1 => 'Sigma 70-300mm f/4-5.6 [APO] DG Macro', #15 (both APO and non-APO, ref forum2947)
+     8.2 => 'Tokina AT-X 242 AF 24-200mm f/3.5-5.6', #15
      9 => 'Canon EF 70-210mm f/4', #32
      9.1 => 'Sigma 55-200mm f/4-5.6 DC', #34
@@ -121,5 +137,5 @@
     21 => 'Canon EF 80-200mm f/2.8L',
     22 => 'Canon EF 20-35mm f/2.8L or Tokina Lens', #32
-    22.1 => 'Tokina AT-X280AF PRO 28-80mm f/2.8 Aspherical', #15
+    22.1 => 'Tokina AT-X 280 AF Pro 28-80mm f/2.8 Aspherical', #15
     23 => 'Canon EF 35-105mm f/3.5-4.5', #32
     24 => 'Canon EF 35-80mm f/4-5.6 Power Zoom', #32
@@ -130,9 +146,17 @@
     26.3 => 'Tamron SP AF 180mm f/3.5 Di Macro', #15
     26.4 => 'Carl Zeiss Planar T* 50mm f/1.4', #PH
+    26.5 => 'Voigtlander APO Lanthar 125mm F2.5 SL Macro', #JR
+    26.6 => 'Carl Zeiss Planar T 85mm f/1.4 ZE', #IB
     27 => 'Canon EF 35-80mm f/4-5.6', #32
+    # 27 => 'Carl Zeiss Distagon T* 28mm f/2 ZF', #PH (must be with an adapter, because the ZF version is a Nikon mount)
+    # 27 => 'EMF adapter for Canon EOS digital cameras', #50 (reports MaxFocalLength of 65535)
+    # 27 => optix adapter
+    # 27 => Venus Optics Laowa 12mm f2.8 Zero-D or 105mm f2 (T3.2) Smooth Trans Focus (ref IB)
+    # 27 => Venus Optics Laowa 105mm f2 STF (ref IB)
     28 => 'Canon EF 80-200mm f/4.5-5.6 or Tamron Lens', #32
     28.1 => 'Tamron SP AF 28-105mm f/2.8 LD Aspherical IF', #15
     28.2 => 'Tamron SP AF 28-75mm f/2.8 XR Di LD Aspherical [IF] Macro', #4
-    28.3 => 'Tamron AF 70-300mm f/4.5-5.6 Di LD 1:2 Macro Zoom', #11
+  # 28.3 => 'Tamron AF 70-300mm f/4.5-5.6 Di LD 1:2 Macro Zoom', #11
+    28.3 => 'Tamron AF 70-300mm f/4-5.6 Di LD 1:2 Macro', #47
     28.4 => 'Tamron AF Aspherical 28-200mm f/3.8-5.6', #14
     29 => 'Canon EF 50mm f/1.8 II',
@@ -142,14 +166,26 @@
     32 => 'Canon EF 24mm f/2.8 or Sigma Lens', #10
     32.1 => 'Sigma 15mm f/2.8 EX Fisheye', #11
-    33 => 'Voigtlander or Zeiss Lens',
+    33 => 'Voigtlander or Carl Zeiss Lens',
     33.1 => 'Voigtlander Ultron 40mm f/2 SLII Aspherical', #45
-    33.2 => 'Zeiss Distagon 35mm T* f/2 ZE', #PH
+    33.2 => 'Voigtlander Color Skopar 20mm f/3.5 SLII Aspherical', #50
+    33.3 => 'Voigtlander APO-Lanthar 90mm f/3.5 SLII Close Focus', #50
+    33.4 => 'Carl Zeiss Distagon T* 15mm f/2.8 ZE', #PH
+    33.5 => 'Carl Zeiss Distagon T* 18mm f/3.5 ZE', #PH
+    33.6 => 'Carl Zeiss Distagon T* 21mm f/2.8 ZE', #PH
+    33.7 => 'Carl Zeiss Distagon T* 25mm f/2 ZE', #IB
+    33.8 => 'Carl Zeiss Distagon T* 28mm f/2 ZE', #PH
+    33.9 => 'Carl Zeiss Distagon T* 35mm f/2 ZE', #PH
+   '33.10' => 'Carl Zeiss Distagon T* 35mm f/1.4 ZE', #IB
+   '33.11' => 'Carl Zeiss Planar T* 50mm f/1.4 ZE', #IB
+   '33.12' => 'Carl Zeiss Makro-Planar T* 50mm f/2 ZE', #IB
+   '33.13' => 'Carl Zeiss Makro-Planar T* 100mm f/2 ZE', #IB
+   '33.14' => 'Carl Zeiss Apo-Sonnar T* 135mm f/2 ZE', #JR
     35 => 'Canon EF 35-80mm f/4-5.6', #32
     36 => 'Canon EF 38-76mm f/4.5-5.6', #32
     37 => 'Canon EF 35-80mm f/4-5.6 or Tamron Lens', #32
     37.1 => 'Tamron 70-200mm f/2.8 Di LD IF Macro', #PH
-    37.2 => 'Tamron AF 28-300mm f/3.5-6.3 XR Di VC LD Aspherical [IF] Macro Model A20', #38
+    37.2 => 'Tamron AF 28-300mm f/3.5-6.3 XR Di VC LD Aspherical [IF] Macro (A20)', #38
     37.3 => 'Tamron SP AF 17-50mm f/2.8 XR Di II VC LD Aspherical [IF]', #34
-    37.4 => 'Tamron AF 18-270mm f/3.5-6.3 Di II VC LD Aspherical [IF] Macro', #http://u88.n24.queensu.ca/exiftool/forum/index.php/topic,2937.0.html
+    37.4 => 'Tamron AF 18-270mm f/3.5-6.3 Di II VC LD Aspherical [IF] Macro', #forum2937
     38 => 'Canon EF 80-200mm f/4.5-5.6', #32
     39 => 'Canon EF 75-300mm f/4-5.6',
@@ -157,9 +193,12 @@
     41 => 'Canon EF 28-90mm f/4-5.6', #32
     42 => 'Canon EF 28-200mm f/3.5-5.6 or Tamron Lens', #32
-    42.1 => 'Tamron AF 28-300mm f/3.5-6.3 XR Di VC LD Aspherical [IF] Macro Model A20', #15
+    42.1 => 'Tamron AF 28-300mm f/3.5-6.3 XR Di VC LD Aspherical [IF] Macro (A20)', #15
     43 => 'Canon EF 28-105mm f/4-5.6', #10
     44 => 'Canon EF 90-300mm f/4.5-5.6', #32
     45 => 'Canon EF-S 18-55mm f/3.5-5.6 [II]', #PH (same ID for version II, ref 20)
     46 => 'Canon EF 28-90mm f/4-5.6', #32
+    47 => 'Zeiss Milvus 35mm f/2 or 50mm f/2', #IB
+    47.1 => 'Zeiss Milvus 50mm f/2 Makro', #IB
+    47.2 => 'Zeiss Milvus 135mm f/2 ZE', #IB
     48 => 'Canon EF-S 18-55mm f/3.5-5.6 IS', #20
     49 => 'Canon EF-S 55-250mm f/4-5.6 IS', #23
@@ -167,13 +206,29 @@
     51 => 'Canon EF-S 18-135mm f/3.5-5.6 IS', #PH
     52 => 'Canon EF-S 18-55mm f/3.5-5.6 IS II', #PH
+    53 => 'Canon EF-S 18-55mm f/3.5-5.6 III', #Jon Charnas
+    54 => 'Canon EF-S 55-250mm f/4-5.6 IS II', #47
+    60 => 'Irix 11mm f/4', #50
+    80 => 'Canon TS-E 50mm f/2.8L Macro', #42
+    81 => 'Canon TS-E 90mm f/2.8L Macro', #42
+    82 => 'Canon TS-E 135mm f/4L Macro', #42
     94 => 'Canon TS-E 17mm f/4L', #42
-    95 => 'Canon TS-E 24.0mm f/3.5 L II', #43
+    95 => 'Canon TS-E 24mm f/3.5L II', #43
+    103 => 'Samyang AF 14mm f/2.8 EF or Rokinon Lens', #IB
+    103.1 => 'Rokinon SP 14mm f/2.4', #IB
+    103.2 => 'Rokinon AF 14mm f/2.8 EF', #IB
+    106 => 'Rokinon SP / Samyang XP 35mm f/1.2', #IB
+    112 => 'Sigma 28mm f/1.5 FF High-speed Prime or other Sigma Lens', #IB
+    112.1 => 'Sigma 40mm f/1.5 FF High-speed Prime', #IB
+    112.2 => 'Sigma 105mm f/1.5 FF High-speed Prime', #IB
+    117 => 'Tamron 35-150mm f/2.8-4.0 Di VC OSD (A043) or other Tamron Lens', #IB
+    117.1 => 'Tamron SP 35mm f/1.4 Di USD (F045)', #Exiv2#1064
     124 => 'Canon MP-E 65mm f/2.8 1-5x Macro Photo', #9
     125 => 'Canon TS-E 24mm f/3.5L',
     126 => 'Canon TS-E 45mm f/2.8', #15
-    127 => 'Canon TS-E 90mm f/2.8', #15
-    129 => 'Canon EF 300mm f/2.8L', #32
-    130 => 'Canon EF 50mm f/1.0L', #10/15
-    131 => 'Canon EF 28-80mm f/2.8-4L or Sigma Lens', #32
+    127 => 'Canon TS-E 90mm f/2.8 or Tamron Lens', #15
+    127.1 => 'Tamron 18-200mm f/3.5-6.3 Di II VC (B018)', #TomLachecki
+    129 => 'Canon EF 300mm f/2.8L USM', #32
+    130 => 'Canon EF 50mm f/1.0L USM', #10/15
+    131 => 'Canon EF 28-80mm f/2.8-4L USM or Sigma Lens', #32
     131.1 => 'Sigma 8mm f/3.5 EX DG Circular Fisheye', #15
     131.2 => 'Sigma 17-35mm f/2.8-4 EX DG Aspherical HSM', #15
@@ -183,23 +238,37 @@
            # 'Sigma APO 120-300mm f/2.8 EX DG HSM + 1.4x', #15
            # 'Sigma APO 120-300mm f/2.8 EX DG HSM + 2x', #15
-    132 => 'Canon EF 1200mm f/5.6L', #32
-    134 => 'Canon EF 600mm f/4L IS', #15
-    135 => 'Canon EF 200mm f/1.8L',
-    136 => 'Canon EF 300mm f/2.8L',
-    137 => 'Canon EF 85mm f/1.2L or Sigma or Tamron Lens', #10
+    131.6 => 'Sigma 4.5mm f/2.8 EX DC HSM Circular Fisheye', #PH
+    131.7 => 'Sigma 70-200mm f/2.8 APO EX HSM', #PH (http://www.lensrentals.com/blog/2012/08/canon-illumination-correction-and-third-party-lenses)
+    131.8 => 'Sigma 28-70mm f/2.8-4 DG', #IB
+    132 => 'Canon EF 1200mm f/5.6L USM', #32
+    134 => 'Canon EF 600mm f/4L IS USM', #15
+    135 => 'Canon EF 200mm f/1.8L USM',
+    136 => 'Canon EF 300mm f/2.8L USM',
+    136.1 => 'Tamron SP 15-30mm f/2.8 Di VC USD (A012)', #TomLachecki
+    137 => 'Canon EF 85mm f/1.2L USM or Sigma or Tamron Lens', #10
     137.1 => 'Sigma 18-50mm f/2.8-4.5 DC OS HSM', #PH
     137.2 => 'Sigma 50-200mm f/4-5.6 DC OS HSM', #PH
-    137.3 => 'Sigma 18-250mm f/3.5-6.3 DC OS HSM', #PH
+    137.3 => 'Sigma 18-250mm f/3.5-6.3 DC OS HSM', #PH (also Sigma 18-250mm f/3.5-6.3 DC Macro OS HSM)
     137.4 => 'Sigma 24-70mm f/2.8 IF EX DG HSM', #PH
     137.5 => 'Sigma 18-125mm f/3.8-5.6 DC OS HSM', #PH
-    137.6 => 'Sigma 17-70mm f/2.8-4 DC Macro OS HSM', #http://u88.n24.queensu.ca/exiftool/forum/index.php/topic,2819.0.html
-    137.7 => 'Sigma 17-50mm f/2.8 OS HSM', #PH (from Exiv2)
-    137.8 => 'Tamron AF 18-270mm f/3.5-6.3 Di II VC PZD', #(model B008)http://u88.n24.queensu.ca/exiftool/forum/index.php/topic,3090.0.html
+    137.6 => 'Sigma 17-70mm f/2.8-4 DC Macro OS HSM | C', #forum2819 (Contemporary version has this ID - PH)
+    137.7 => 'Sigma 17-50mm f/2.8 OS HSM', #47
+    137.8 => 'Sigma 18-200mm f/3.5-6.3 DC OS HSM [II]', #PH
+    137.9 => 'Tamron AF 18-270mm f/3.5-6.3 Di II VC PZD (B008)', #forum3090
+   '137.10' => 'Sigma 8-16mm f/4.5-5.6 DC HSM', #50-Zwielicht
+   '137.11' => 'Tamron SP 17-50mm f/2.8 XR Di II VC (B005)', #50
+   '137.12' => 'Tamron SP 60mm f/2 Macro Di II (G005)', #50
+   '137.13' => 'Sigma 10-20mm f/3.5 EX DC HSM', #Gerald Erdmann
+   '137.14' => 'Tamron SP 24-70mm f/2.8 Di VC USD', #PH
+   '137.15' => 'Sigma 18-35mm f/1.8 DC HSM', #David Monro
+   '137.16' => 'Sigma 12-24mm f/4.5-5.6 DG HSM II', #IB
+   '137.17' => 'Sigma 70-300mm f/4-5.6 DG OS', #IB
     138 => 'Canon EF 28-80mm f/2.8-4L', #32
-    139 => 'Canon EF 400mm f/2.8L',
-    140 => 'Canon EF 500mm f/4.5L', #32
-    141 => 'Canon EF 500mm f/4.5L',
-    142 => 'Canon EF 300mm f/2.8L IS', #15
-    143 => 'Canon EF 500mm f/4L IS', #15
+    139 => 'Canon EF 400mm f/2.8L USM',
+    140 => 'Canon EF 500mm f/4.5L USM', #32
+    141 => 'Canon EF 500mm f/4.5L USM',
+    142 => 'Canon EF 300mm f/2.8L IS USM', #15
+    143 => 'Canon EF 500mm f/4L IS USM or Sigma Lens', #15
+    143.1 => 'Sigma 17-70mm f/2.8-4 DC Macro OS HSM', #NJ (Exiv2 #1167)
     144 => 'Canon EF 35-135mm f/4-5.6 USM', #26
     145 => 'Canon EF 100-300mm f/4.5-5.6 USM', #32
@@ -208,40 +277,55 @@
     148 => 'Canon EF 28-80mm f/3.5-5.6 USM', #32
     149 => 'Canon EF 100mm f/2 USM', #9
-    150 => 'Canon EF 14mm f/2.8L or Sigma Lens', #10
+    150 => 'Canon EF 14mm f/2.8L USM or Sigma Lens', #10
     150.1 => 'Sigma 20mm EX f/1.8', #4
     150.2 => 'Sigma 30mm f/1.4 DC HSM', #15
     150.3 => 'Sigma 24mm f/1.8 DG Macro EX', #15
-    151 => 'Canon EF 200mm f/2.8L',
-    152 => 'Canon EF 300mm f/4L IS or Sigma Lens', #15
+    150.4 => 'Sigma 28mm f/1.8 DG Macro EX', #IB
+    150.5 => 'Sigma 18-35mm f/1.8 DC HSM | A', #IB
+    151 => 'Canon EF 200mm f/2.8L USM',
+    152 => 'Canon EF 300mm f/4L IS USM or Sigma Lens', #15
     152.1 => 'Sigma 12-24mm f/4.5-5.6 EX DG ASPHERICAL HSM', #15
     152.2 => 'Sigma 14mm f/2.8 EX Aspherical HSM', #15
     152.3 => 'Sigma 10-20mm f/4-5.6', #14
     152.4 => 'Sigma 100-300mm f/4', # (ref Bozi)
-    153 => 'Canon EF 35-350mm f/3.5-5.6L or Sigma or Tamron Lens', #PH
+    152.5 => 'Sigma 300-800mm f/5.6 APO EX DG HSM', #IB
+    153 => 'Canon EF 35-350mm f/3.5-5.6L USM or Sigma or Tamron Lens', #PH
     153.1 => 'Sigma 50-500mm f/4-6.3 APO HSM EX', #15
     153.2 => 'Tamron AF 28-300mm f/3.5-6.3 XR LD Aspherical [IF] Macro',
-    153.3 => 'Tamron AF 18-200mm f/3.5-6.3 XR Di II LD Aspherical [IF] Macro Model A14', #15
+    153.3 => 'Tamron AF 18-200mm f/3.5-6.3 XR Di II LD Aspherical [IF] Macro (A14)', #15
     153.4 => 'Tamron 18-250mm f/3.5-6.3 Di II LD Aspherical [IF] Macro', #PH
-    154 => 'Canon EF 20mm f/2.8 USM', #15
-    155 => 'Canon EF 85mm f/1.8 USM',
+    154 => 'Canon EF 20mm f/2.8 USM or Zeiss Lens', #15
+    154.1 => 'Zeiss Milvus 21mm f/2.8', #IB
+    154.2 => 'Zeiss Milvus 15mm f/2.8 ZE', #IB
+    154.3 => 'Zeiss Milvus 18mm f/2.8 ZE', #IB
+    155 => 'Canon EF 85mm f/1.8 USM or Sigma Lens',
+    155.1 => 'Sigma 14mm f/1.8 DG HSM | A', #IB (A017)
     156 => 'Canon EF 28-105mm f/3.5-4.5 USM or Tamron Lens',
-    156.1 => 'Tamron SP 70-300mm f/4.0-5.6 Di VC USD', #PH (model A005)
+    156.1 => 'Tamron SP 70-300mm f/4-5.6 Di VC USD (A005)', #PH
+    156.2 => 'Tamron SP AF 28-105mm f/2.8 LD Aspherical IF (176D)', #JR
     160 => 'Canon EF 20-35mm f/3.5-4.5 USM or Tamron or Tokina Lens',
     160.1 => 'Tamron AF 19-35mm f/3.5-4.5', #44
-    160.2 => 'Tokina AT-X 124 AF 12-24mm f/4 DX', #49 (not sure about specific model - PH)
+    160.2 => 'Tokina AT-X 124 AF Pro DX 12-24mm f/4', #49
     160.3 => 'Tokina AT-X 107 AF DX 10-17mm f/3.5-4.5 Fisheye', #PH (http://osdir.com/ml/digikam-devel/2011-04/msg00275.html)
-    161 => 'Canon EF 28-70mm f/2.8L or Sigma or Tamron Lens',
+    160.4 => 'Tokina AT-X 116 AF Pro DX 11-16mm f/2.8', #forum3967
+    160.5 => 'Tokina AT-X 11-20 F2.8 PRO DX Aspherical 11-20mm f/2.8', #NJ (Exiv2 #1166)
+    161 => 'Canon EF 28-70mm f/2.8L USM or Other Lens',
     161.1 => 'Sigma 24-70mm f/2.8 EX',
     161.2 => 'Sigma 28-70mm f/2.8 EX', #PH (http://www.breezesys.com/forum/showthread.php?t=3718)
-    161.3 => 'Tamron AF 17-50mm f/2.8 Di-II LD Aspherical', #40
-    161.4 => 'Tamron 90mm f/2.8',
-    162 => 'Canon EF 200mm f/2.8L', #32
+    161.3 => 'Sigma 24-60mm f/2.8 EX DG', #PH (http://www.lensrentals.com/blog/2012/08/canon-illumination-correction-and-third-party-lenses)
+    161.4 => 'Tamron AF 17-50mm f/2.8 Di-II LD Aspherical', #40
+    161.5 => 'Tamron 90mm f/2.8',
+    161.6 => 'Tamron SP AF 17-35mm f/2.8-4 Di LD Aspherical IF (A05)', #IB
+    161.7 => 'Tamron SP AF 28-75mm f/2.8 XR Di LD Aspherical [IF] Macro', #IB/NJ
+    161.8 => 'Tokina AT-X 24-70mm f/2.8 PRO FX (IF)', #IB
+    162 => 'Canon EF 200mm f/2.8L USM', #32
     163 => 'Canon EF 300mm f/4L', #32
     164 => 'Canon EF 400mm f/5.6L', #32
-    165 => 'Canon EF 70-200mm f/2.8 L',
-    166 => 'Canon EF 70-200mm f/2.8 L + 1.4x',
-    167 => 'Canon EF 70-200mm f/2.8 L + 2x',
-    168 => 'Canon EF 28mm f/1.8 USM', #15
-    169 => 'Canon EF 17-35mm f/2.8L or Sigma Lens', #15
+    165 => 'Canon EF 70-200mm f/2.8L USM',
+    166 => 'Canon EF 70-200mm f/2.8L USM + 1.4x',
+    167 => 'Canon EF 70-200mm f/2.8L USM + 2x',
+    168 => 'Canon EF 28mm f/1.8 USM or Sigma Lens', #15
+    168.1 => 'Sigma 50-100mm f/1.8 DC HSM | A', #IB
+    169 => 'Canon EF 17-35mm f/2.8L USM or Sigma Lens', #15
     169.1 => 'Sigma 18-200mm f/3.5-6.3 DC OS', #23
     169.2 => 'Sigma 15-30mm f/3.5-4.5 EX DG Aspherical', #4
@@ -250,35 +334,80 @@
     169.5 => 'Sigma 85mm f/1.4 EX DG HSM', #Rolando Ruzic
     169.6 => 'Sigma 30mm f/1.4 EX DC HSM', #Rodolfo Borges
-    170 => 'Canon EF 200mm f/2.8L II', #9
-    171 => 'Canon EF 300mm f/4L', #15
-    172 => 'Canon EF 400mm f/5.6L', #32
-    173 => 'Canon EF 180mm Macro f/3.5L or Sigma Lens', #9
+    169.7 => 'Sigma 35mm f/1.4 DG HSM', #PH (also "| A" version, ref 50)
+    169.8 => 'Sigma 35mm f/1.5 FF High-Speed Prime | 017', #IB
+    169.9 => 'Sigma 70mm f/2.8 Macro EX DG', #IB
+    170 => 'Canon EF 200mm f/2.8L II USM or Sigma Lens', #9
+    170.1 => 'Sigma 300mm f/2.8 APO EX DG HSM', #IB
+    170.2 => 'Sigma 800mm f/5.6 APO EX DG HSM', #IB
+    171 => 'Canon EF 300mm f/4L USM', #15
+    172 => 'Canon EF 400mm f/5.6L USM or Sigma Lens', #32
+    172.1 =>'Sigma 150-600mm f/5-6.3 DG OS HSM | S', #50
+    172.2 => 'Sigma 500mm f/4.5 APO EX DG HSM', #IB
+    173 => 'Canon EF 180mm Macro f/3.5L USM or Sigma Lens', #9
     173.1 => 'Sigma 180mm EX HSM Macro f/3.5', #14
     173.2 => 'Sigma APO Macro 150mm f/2.8 EX DG HSM', #14
-    174 => 'Canon EF 135mm f/2L or Sigma Lens', #9
+    173.3 => 'Sigma 10mm f/2.8 EX DC Fisheye', #IB
+    173.4 => 'Sigma 15mm f/2.8 EX DG Diagonal Fisheye', #IB
+    173.5 => 'Venus Laowa 100mm F2.8 2X Ultra Macro APO', #IB
+    174 => 'Canon EF 135mm f/2L USM or Other Lens', #9
     174.1 => 'Sigma 70-200mm f/2.8 EX DG APO OS HSM', #PH (probably version II of this lens)
-    175 => 'Canon EF 400mm f/2.8L', #32
+    174.2 => 'Sigma 50-500mm f/4.5-6.3 APO DG OS HSM', #forum4031
+    174.3 => 'Sigma 150-500mm f/5-6.3 APO DG OS HSM', #47
+    174.4 => 'Zeiss Milvus 100mm f/2 Makro', #IB
+    174.5 => 'Sigma APO 50-150mm f/2.8 EX DC OS HSM', #IB
+    174.6 => 'Sigma APO 120-300mm f/2.8 EX DG OS HSM', #IB
+    174.7 => 'Sigma 120-300mm f/2.8 DG OS HSM S013', #IB
+    174.8 => 'Sigma 120-400mm f/4.5-5.6 APO DG OS HSM', #IB
+    174.9 => 'Sigma 200-500mm f/2.8 APO EX DG', #IB
+    175 => 'Canon EF 400mm f/2.8L USM', #32
     176 => 'Canon EF 24-85mm f/3.5-4.5 USM',
-    177 => 'Canon EF 300mm f/4L IS', #9
+    177 => 'Canon EF 300mm f/4L IS USM', #9
     178 => 'Canon EF 28-135mm f/3.5-5.6 IS',
-    179 => 'Canon EF 24mm f/1.4L', #20
-    180 => 'Canon EF 35mm f/1.4L', #9
-    181 => 'Canon EF 100-400mm f/4.5-5.6L IS + 1.4x', #15
-    182 => 'Canon EF 100-400mm f/4.5-5.6L IS + 2x',
-    183 => 'Canon EF 100-400mm f/4.5-5.6L IS',
-    184 => 'Canon EF 400mm f/2.8L + 2x', #15
-    185 => 'Canon EF 600mm f/4L IS', #32
-    186 => 'Canon EF 70-200mm f/4L', #9
-    187 => 'Canon EF 70-200mm f/4L + 1.4x', #26
-    188 => 'Canon EF 70-200mm f/4L + 2x', #PH
-    189 => 'Canon EF 70-200mm f/4L + 2.8x', #32
-    190 => 'Canon EF 100mm f/2.8 Macro',
-    191 => 'Canon EF 400mm f/4 DO IS', #9
+    179 => 'Canon EF 24mm f/1.4L USM', #20
+    180 => 'Canon EF 35mm f/1.4L USM or Other Lens', #9
+    180.1 => 'Sigma 50mm f/1.4 DG HSM | A', #50
+    180.2 => 'Sigma 24mm f/1.4 DG HSM | A', #NJ
+    180.3 => 'Zeiss Milvus 50mm f/1.4', #IB
+    180.4 => 'Zeiss Milvus 85mm f/1.4', #IB
+    180.5 => 'Zeiss Otus 28mm f/1.4 ZE', #PH
+    180.6 => 'Sigma 24mm f/1.5 FF High-Speed Prime | 017', #IB
+    180.7 => 'Sigma 50mm f/1.5 FF High-Speed Prime | 017', #IB
+    180.8 => 'Sigma 85mm f/1.5 FF High-Speed Prime | 017', #IB
+    180.9 => 'Tokina Opera 50mm f/1.4 FF', #IB
+   '180.10' => 'Sigma 20mm f/1.4 DG HSM | A', #IB (015)
+    181 => 'Canon EF 100-400mm f/4.5-5.6L IS USM + 1.4x or Sigma Lens', #15
+    181.1 => 'Sigma 150-600mm f/5-6.3 DG OS HSM | S + 1.4x', #50
+    182 => 'Canon EF 100-400mm f/4.5-5.6L IS USM + 2x or Sigma Lens',
+    182.1 => 'Sigma 150-600mm f/5-6.3 DG OS HSM | S + 2x', #PH (NC)
+    183 => 'Canon EF 100-400mm f/4.5-5.6L IS USM or Sigma Lens',
+    183.1 => 'Sigma 150mm f/2.8 EX DG OS HSM APO Macro', #50
+    183.2 => 'Sigma 105mm f/2.8 EX DG OS HSM Macro', #50
+    183.3 => 'Sigma 180mm f/2.8 EX DG OS HSM APO Macro', #IB
+    183.4 => 'Sigma 150-600mm f/5-6.3 DG OS HSM | C', #47
+    183.5 => 'Sigma 150-600mm f/5-6.3 DG OS HSM | S', #forum7109 (Sports 014)
+    183.6 => 'Sigma 100-400mm f/5-6.3 DG OS HSM', #PH ("| C" ?)
+    183.7 => 'Sigma 180mm f/3.5 APO Macro EX DG IF HSM', #IB
+    184 => 'Canon EF 400mm f/2.8L USM + 2x', #15
+    185 => 'Canon EF 600mm f/4L IS USM', #32
+    186 => 'Canon EF 70-200mm f/4L USM', #9
+    187 => 'Canon EF 70-200mm f/4L USM + 1.4x', #26
+    188 => 'Canon EF 70-200mm f/4L USM + 2x', #PH
+    189 => 'Canon EF 70-200mm f/4L USM + 2.8x', #32
+    190 => 'Canon EF 100mm f/2.8 Macro USM', # (+USM ref 42)
+    191 => 'Canon EF 400mm f/4 DO IS or Sigma Lens', #9
+    191.1 => 'Sigma 500mm f/4 DG OS HSM', #AndrewSheih
     193 => 'Canon EF 35-80mm f/4-5.6 USM', #32
     194 => 'Canon EF 80-200mm f/4.5-5.6 USM', #32
     195 => 'Canon EF 35-105mm f/4.5-5.6 USM', #32
     196 => 'Canon EF 75-300mm f/4-5.6 USM', #15/32
-    197 => 'Canon EF 75-300mm f/4-5.6 IS USM',
-    198 => 'Canon EF 50mm f/1.4 USM', #9
+    197 => 'Canon EF 75-300mm f/4-5.6 IS USM or Sigma Lens',
+    197.1 => 'Sigma 18-300mm f/3.5-6.3 DC Macro OS HSM', #50
+    198 => 'Canon EF 50mm f/1.4 USM or Other Lens',
+    198.1 => 'Zeiss Otus 55mm f/1.4 ZE', #JR (seen only on Sony camera)
+    198.2 => 'Zeiss Otus 85mm f/1.4 ZE', #JR (NC)
+    198.3 => 'Zeiss Milvus 25mm f/1.4', #IB
+    198.4 => 'Zeiss Otus 100mm f/1.4', #IB
+    198.5 => 'Zeiss Milvus 35mm f/1.4 ZE', #IB
+    198.6 => 'Yongnuo YN 35mm f/2', #IB
     199 => 'Canon EF 28-80mm f/3.5-5.6 USM', #32
     200 => 'Canon EF 75-300mm f/4-5.6 USM', #32
